VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
Optional< T > Struct Template Reference
Version 4.5

simplified optional More...

## Public Member Functions
| Optional (T &&v)
| Optional (const T &v)
| Optional ()
| Optional (Optional &&)=default
Optional & | operator= (Optional &&)=default
| Optional (const Optional &)=delete
Optional & | operator= (const Optional &)=delete
| operator bool () const
const T * | operator-> () const
T * | operator-> ()
const T & | operator* () const &
T & | operator* ()&
T && | value ()
const T & | value () const
void | reset ()

## Detailed Description

### template<typename T>
struct VSTGUI::Optional< T >

simplified optional

## Constructor & Destructor Documentation

Optional | ( | T && | v | ) |
| inline

Optional | ( | const T & | v | ) |
| inline explicit

Optional | ( |  | ) |
| inline

Optional | ( | Optional< T > && |  | ) |
| default

Optional | ( | const Optional< T > & |  | ) |
| delete

## Member Function Documentation

operator bool | ( |  | ) | const
| inline explicit

const T & operator* | ( |  | ) | const
| inline

T & operator* | ( |  | ) |
| inline

const T * operator-> | ( |  | ) | const
| inline

T * operator-> | ( |  | ) |
| inline

Optional& operator= | ( | Optional< T > && |  | ) |
| default

Optional& operator= | ( | const Optional< T > & |  | ) |
| delete

void reset | ( |  | ) |
| inline

T && value | ( |  | ) |
| inline

const T & value | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- optional.h